mixin range(controller, type)
  .range.row(ms-controller=controller)
    .col-xs-7.col-sm-10
      .range-container
        .range-track.progress
          .range-track-bar.progress-bar.progress-bar-striped.active(class='progress-bar-' + type ms-css-width='value + "%"')
        input.range-control(type='range' min='0' max='100' ms-duplex='value' ms-on-change='setValue')
    .col-xs-5.col-sm-2
      .range-popover.popover.right
        .arrow
        .popover-content
          input.form-control.input-lg.text-center(type='number' min='0' max='100' ms-duplex-number='value')

.container
  .jumbotron.hidden-xs.hidden-sm
    h1.text-center Bootstrap Ranges
    p.text-center
      | Based on 
      a(href='https://getbootstrap.com/' target='_blank') Bootstrap
      |  & 
      a(href='https://github.com/RubyLouvre/avalon/' target='_blank') AvalonJS
      | . Another  
      a(href='https://codepen.io/Cweili/pen/bNWyLw' target='_blank') Tip on Top edition
      | .
  each type in ['primary', 'success', 'danger', 'warning', 'info']
    +range('range-' + type, type)
